%define _use_internal_dependency_generator 0

%define multilib_64_archs x86_64 s390x ppc64 sparc64

%global momorel 4
%global perlver 5.8.8
%global perlrel %{momorel}m
%global perlepoch 4
# %%global cpanver 1.61
# %%global dbfilever 1.804
# %%global cgiver 2.81

%global threading  1
%global largefiles 1
%global suidperl   1

%{?!perl_debugging:    %define perl_debugging 0}
%if %{perl_debugging}
%define debug_package %{nil}
# don't build debuginfo and disable stripping
%endif

Provides: perl(:WITH_PERLIO)
Provides: perl(Mac::InternetConfig)

%if %{threading}
%define thread_arch -thread-multi
Provides: perl(:WITH_ITHREADS)
Provides: perl(:WITH_THREADS)
%else
%define thread_arch %{nil}
Provides: perl(:WITHOUT_ITHREADS)
Provides: perl(:WITHOUT_THREADS)
%endif

%define perlmodcompat 5.8.7 5.8.6 5.8.5 5.8.4 5.8.3
Provides: perl(:MODULE_COMPAT_5.8.3)
Provides: perl(:MODULE_COMPAT_5.8.4)
Provides: perl(:MODULE_COMPAT_5.8.5)
Provides: perl(:MODULE_COMPAT_5.8.6)
Provides: perl(:MODULE_COMPAT_5.8.7)
Provides: perl(:MODULE_COMPAT_5.8.8)

%if %{largefiles}
Provides: perl(:WITH_LARGEFILES)
%else
Provides: perl(:WITHOUT_LARGEFILES)
%endif

Summary: The Perl programming language.
Name: perl
Version: %{perlver}
Release: %{perlrel}
Epoch: %{perlepoch}
License: GPL or Artistic
Group: Development/Languages

Provides: /usr/bin/perl
URL: http://www.perl.com/

Source0:        http://www.cpan.org/authors/id/N/NW/NWCLARK/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: clean-manifest.pl
Source9: MANIFEST.suidperl
Source10: system-owned-directories
Source11: filter-depends.sh
Source12: perl-5.8.0-libnet.cfg

Patch5: perl-5.8.0-root.patch

# Patches copied from FC
###################################################
Patch12:        perl-5.8.8-incpush.patch
Patch13:        perl-5.8.8-perlbug-tag.patch
Patch14:        perl-5.8.8-dashI.patch
Patch15:        perl-5.8.5-incorder.patch

# make sure we get the proper ldflags on libperl.so
Patch17:        perl-5.8.0-sharedlinker.patch
# lynx is deprecated, use links instead
Patch19:        perl-5.8.8-links.patch
# work around annoying rpath issue
Patch21:        perl-5.8.8-rpath-make.patch
# Disable -DDEBUGGING and allow -g to do its job (#156113)
Patch31:        perl-5.8.7-no-debugging.patch

# Debian's fix for Net::NNTP:
Patch32:        perl-5.8.8-debian_fix_net_nntp.patch

# Upstream patches 27133 and 27169 (27170):
Patch33: 	perl-5.8.8-up27133_up27169.patch

# arch-specific patches
Patch100:       perl-5.8.1-fpic.patch
Patch101:       perl-5.8.0-libdir64.patch

Patch32002:     perl-5.8.0-nptlhint.patch

Patch32003:     perl-5.8.6-libresolv.patch

# fix for bug 163958 / upstream bug 37056 :
# backport of perl-5.9's patch 25084 (bug still in 5.8.8!):
Patch25084:     perl-5.8.7-25084.patch

Patch172396:	perl-5.8.7-172396.patch
Patch040976:	perl-5.8.8-CAN-2004-0976.patch
Patch1360090:   perl-5.8.8-USE_MM_LD_RUN_PATH.patch
# module updatesd
Patch178343:	perl-5.8.8-bz178343.patch
###################################################

%ifarch x86_64 s390x ppc64 sparc64 ia64
Provides: libperl.so()(64bit)
%else
Provides: libperl.so
%endif

BuildRoot: %{_tmppath}/%{name}-%{version}-root
# BuildRequires: gawk, grep, tcsh, gdbm-devel, db4-devel, dos2unix
BuildRequires: gawk, grep, tcsh, gdbm-devel, db4-devel
BuildRequires: man, groff

# By definition of 'do' (see 'man perlfunc') this package provides all
# versions of perl previous to it.
Provides: perl <= %{epoch}:%{version}

# These provides are needed by the perl pkg itself with auto-generated perl.req
Provides: perl(Carp::Heavy)
Provides: perl(VMS::Filespec)
Provides: perl(VMS::Stdio)
Provides: perl(Mac::BuildTools)
Provides: perl(Tk::Pod)

# XXX needed by perl-libnet 
Provides: perl(Mac::Files)

# XXX needed by perl-CGI
Provides: perl(FCGI)

# needed by perl-URI
Provides: perl(MIME::Base64)

Provides: perl(abbrev.pl)
Provides: perl(assert.pl)
Provides: perl(bigfloat.pl)
Provides: perl(bigint.pl)
Provides: perl(bigrat.pl)
Provides: perl(bytes_heavy.pl)
Provides: perl(cacheout.pl)
Provides: perl(complete.pl)
Provides: perl(ctime.pl)
Provides: perl(dotsh.pl)
Provides: perl(dumpvar.pl)
Provides: perl(exceptions.pl)
Provides: perl(fastcwd.pl)
Provides: perl(find.pl)
Provides: perl(finddepth.pl)
Provides: perl(flush.pl)
Provides: perl(ftp.pl)
Provides: perl(getcwd.pl)
Provides: perl(getopt.pl)
Provides: perl(getopts.pl)
Provides: perl(hostname.pl)
Provides: perl(importenv.pl)
Provides: perl(look.pl)
Provides: perl(newgetopt.pl)
Provides: perl(open2.pl)
Provides: perl(open3.pl)
Provides: perl(perl5db.pl)
Provides: perl(pwd.pl)
Provides: perl(shellwords.pl)
Provides: perl(stat.pl)
Provides: perl(syslog.pl)
Provides: perl(tainted.pl)
Provides: perl(termcap.pl)
Provides: perl(timelocal.pl)
Provides: perl(utf8_heavy.pl)
Provides: perl(validate.pl)

# These modules appear to be missing or break assumptions made by the
# dependency analysis tools.  Typical problems include refering to
# CGI::Apache as Apache and having no package line in CPAN::Nox.pm. I
# hope that the perl people fix these to work with our dependency
# engine or give us better dependency tools.
#
# Provides: perl(Apache)
# Provides: perl(ExtUtils::MM_Mac)
# Provides: perl(ExtUtils::XSSymSet)
# Provides: perl(LWP::UserAgent)

Conflicts: perl-NDBM_File <= 1:1.75-34.99.6

Obsoletes: perl-Digest-MD5
Obsoletes: perl-MIME-Base64
Obsoletes: perl-libnet
Obsoletes: perl-Storable
Obsoletes: perl-CGI
Obsoletes: perl-CPAN
Obsoletes: perl-DB_File
Obsoletes: perl-Filter
Obsoletes: perl-Filter-Simple
Obsoletes: perl-Time-HiRes
Obsoletes: perl-Test-Builder-Tester

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications are system
administration utilities and web programming.  A large proportion of
the CGI scripts on the web are written in Perl.  You need the perl
package installed on your system so that your system can handle Perl
scripts.

Install this package if you want to program in Perl or enable your
system to handle Perl scripts.

%if %{suidperl}
%package suidperl
Version: %{perlver}
Release: %{perlrel}
Summary: suidperl, for use with setuid perl scripts
Group: Development/Languages
Requires: perl = %{perlepoch}:%{perlver}-%{perlrel}
Provides: /usr/bin/suidperl

%description suidperl
suidperl is a setuid binary copy of perl that allows for (hopefully)
more secure running of setuid perl scripts.
%endif

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __perl_requires %{SOURCE11}

%prep
%setup -q
%patch5 -p1 -b .root

%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%patch17 -p1 -b .sharedlinker

%patch19 -p1 -b .links
%patch21 -p1 -b .rpath

%if !%{perl_debugging}
%patch31 -p1
%endif

%patch100 -p1 -b .fpic

%ifarch %{multilib_64_archs}
%patch101 -p1
%endif

%patch32002 -p1

%patch32003 -p1

%patch25084 -p1

%patch172396 -p1

%patch040976 -p1

%patch1360090 -p1

%patch178343 -p1

%patch32 -p1

%patch33 -p1


# Candidates for doc recoding (need case by case review):
# find . -name "*.pod" -o -name "README*" -o -name "*.pm" | xargs file -i | grep charset= | grep -v '\(us-ascii\|utf-8\)'
recode()
{
	iconv -f "$2" -t utf-8 < "$1" > "${1}_"
	mv -f "${1}_" "$1"
}
recode README.cn euc-cn
recode README.jp euc-jp
recode README.ko euc-kr
recode README.tw big5
recode pod/perlebcdic.pod iso-8859-1
recode pod/perlhack.pod iso-8859-1
recode pod/perlhist.pod iso-8859-1
recode pod/perlothrtut.pod iso-8859-1
recode pod/perlthrtut.pod iso-8859-1
recode lib/Unicode/Collate.pm iso-8859-1
# recode not needed (5.8.7):
# ext/Encode/t/Mod_EUCJP.pm, ext/Encode/lib/Encode/CJKConstants.pm,
# ext/Encode/lib/Encode/JP/H2Z.pm, lib/ExtUtils/MM_MacOS.pm,
# lib/Pod/Checker.pm, lib/Net/README.libnet

find . -name \*.orig -exec rm -fv {} \;

%build

echo "RPM Build arch: %{_arch}"

[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# yes; don't use %_libdir so that noarch packages from other OSs
# arches work correctly :\ the Configure lines below hardcode lib for
# similar reasons.

%ifarch %{multilib_64_archs}
	mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/%{perlver}
	mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{perlver}
	mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/vendor_perl/%{perlver}
%endif

sh Configure -des -Doptimize="$RPM_OPT_FLAGS" \
	-Dversion=%{perlver}\
	-Dmyhostname=localhost \
	-Dperladmin=root@localhost \
	-Dcc='%{__cc}' \
        -Dcf_by='Momonga Linux Project' \
	-Dinstallprefix=$RPM_BUILD_ROOT%{_prefix} \
	-Dprefix=%{_prefix} \
%ifarch %{multilib_64_archs}
	-Dlibpth="/usr/local/lib64 /lib64 /usr/lib64" \
	-Dprivlib="/usr/lib/perl5/%{version}" \
	-Dsitelib="/usr/lib/perl5/site_perl/%{version}" \
	-Dvendorlib="/usr/lib/perl5/vendor_perl/%{version}" \
	-Darchlib="%{_libdir}/perl5/%{perlver}/%{_arch}-%{_os}%{thread_arch}" \
	-Dsitearch="%{_libdir}/perl5/site_perl/%{perlver}/%{_arch}-%{_os}%{thread_arch}" \
	-Dvendorarch="%{_libdir}/perl5/vendor_perl/%{perlver}/%{_arch}-%{_os}%{thread_arch}" \
%endif
	-Darchname=%{_arch}-%{_os} \
%ifarch sparc
	-Ud_longdbl \
%endif
	-Dvendorprefix=%{_prefix} \
	-Dsiteprefix=%{_prefix} \
	-Duseshrplib \
%if %threading
	-Dusethreads \
        -Duseithreads \
%else
	-Uusethreads \
        -Uuseithreads \
%endif
%if %largefiles
        -Duselargefiles \
%else
        -Uuselargefiles \
%endif
	-Dd_dosuid \
	-Dd_semctl_semun \
	-Di_db \
	-Ui_ndbm \
	-Di_gdbm \
	-Di_shadow \
	-Di_syslog \
	-Dman3ext=3pm \
	-Duseperlio \
	-Dinstallusrbinperl=n \
	-Ubincompat5005 \
	-Uversiononly \
	-Dpager='/usr/bin/less -isr' \
	-Dd_gethostent_r_proto -Ud_endhostent_r_proto -Ud_sethostent_r_proto \
	-Ud_endprotoent_r_proto -Ud_setprotoent_r_proto \
	-Ud_endservent_r_proto -Ud_setservent_r_proto \
	-Dinc_version_list='%{perlmodcompat}' \
	-Dscriptdir='%{_bindir}'

make -f Makefile %{_smp_mflags}

make -f Makefile test < /dev/null || /bin/true

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

%ifarch %{multilib_64_archs}
	mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib/perl5/%{perlver}
	mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{perlver}
	mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib/perl5/vendor_perl/%{perlver}
        mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib64/perl5/vendor_perl/%{perlver}/%{_arch}-%{_os}
%endif

make install -f Makefile

pushd $RPM_BUILD_ROOT/%{_libdir}/perl5
for i in %{perlmodcompat}; do
    mkdir -pm 755 $i/%{_arch}-%{_os}%{thread_arch}/CORE
    mkdir -pm 755 $i/%{_arch}-%{_os}%{thread_arch}/auto
    pushd $i/%{_arch}-%{_os}%{thread_arch}/CORE
      ln -s ../../../%{perlver}/%{_arch}-%{_os}%{thread_arch}/CORE/libperl.so libperl.so
    popd
  done
popd

mkdir -p %{buildroot}%{_bindir}
install -m 755 utils/pl2pm %{buildroot}%{_bindir}/pl2pm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# build MANIFEST.all
%define new_perl_lib %{buildroot}%{_libdir}/perl5/%{perlver}:%{buildroot}/usr/lib/perl5/%{perlver}
%define comp_perl_lib %{buildroot}/usr/lib/perl5/%{perlver}:%{buildroot}/usr/lib/perl5/%{perlver}
%define new_arch_lib %{buildroot}%{_libdir}/perl5/%{perlver}/%{_arch}-%{_os}%{thread_arch}
%define comp_arch_lib %{buildroot}/usr/lib/perl5/%{perlver}/%{_arch}-%{_os}%{thread_arch}

%define new_perl_flags LD_PRELOAD=/%{new_arch_lib}/CORE/libperl.so LD_LIBRARY_PATH=%{new_arch_lib}/CORE PERL5LIB=%{new_perl_lib}:%{comp_perl_lib}
%define new_perl %{new_perl_flags} $RPM_BUILD_ROOT/%{_bindir}/perl

for i in asm/termios.h syscall.h syslimits.h syslog.h sys/ioctl.h sys/socket.h sys/time.h wait.h
do
  %{new_perl} %{buildroot}/%{_bindir}/h2ph -a \
              -d %{buildroot}%{_libdir}/perl5/%{perlver}/%{_arch}-%{_os}%{thread_arch} $i || /bin/true
done

##%%{new_perl} -p -i -e "s|%{buildroot}||g;" %{new_arch_lib}/Config.pm
## Above line is for perl-5.8.5 or earlier and below is for 5.8.7 and later
%{new_perl} -p -i -e "s|%{buildroot}||g;" %{new_arch_lib}/Config_heavy.pl

for dir in $(%{new_perl} -le 'print join("\n", @INC)' | grep '^/usr/lib')
do
  mkdir -p $RPM_BUILD_ROOT/$dir
done

for dir in $(%{new_perl} -le 'print join("\n", @INC)' | grep '^%{_libdir}')
do
  mkdir -p $RPM_BUILD_ROOT/$dir
done

for i in %{perlver} %{perlmodcompat} ; do
  mkdir -pm 755 $RPM_BUILD_ROOT%{_libdir}/perl5/site_perl/$i/%{_arch}-%{_os}%{thread_arch}/auto
  mkdir -pm 755 $RPM_BUILD_ROOT%{_libdir}/perl5/vendor_perl/$i/%{_arch}-%{_os}%{thread_arch}/auto
done


%ifarch %{multilib_64_archs}
mkdir -pm 755 $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{perlver}
mkdir -pm 755 $RPM_BUILD_ROOT/usr/lib/perl5/vendor_perl/%{perlver}
%endif

# libnet configuration file
mkdir -p %{buildroot}/%{_libdir}/perl5/%{perlver}/Net
install -m 0644 %{SOURCE12} %{buildroot}/%{_libdir}/perl5/%{perlver}/Net/libnet.cfg

# Core modules removal
find %{buildroot} -name '*NDBM*' | xargs rm -rfv
find %{buildroot} -name '*DBM_Filter*' | xargs rm -rfv

#find %{buildroot} -name '*Mac*' | xargs rm -rfv
#find %{buildroot} -name '*Tk*' | xargs rm -rfv

find %{buildroot} -type f -or -type l > MANIFEST.all
find %{buildroot} -type d -printf "%%%%dir %p\n" >> MANIFEST.all

%{new_perl} -i -p -e "s|%{buildroot}||g;" MANIFEST.all
cp MANIFEST.all /tmp

for i in  %{SOURCE10}
do
  %{new_perl} %{SOURCE1} %{_arch} $i MANIFEST.all MANIFEST.all.tmp %{_libdir} %{thread_arch}
  mv MANIFEST.all.tmp MANIFEST.all
done

%if %{suidperl}
  %{new_perl} %{SOURCE1} %{_arch} %{SOURCE9} MANIFEST.all MANIFEST.all.tmp %{_libdir} %{thread_arch}
  mv MANIFEST.all.tmp MANIFEST.all
%endif

# fix the rest of the stuff
find %{buildroot}%{_libdir}/perl* -name .packlist -o -name perllocal.pod | \
%{new_perl_flags} xargs %{buildroot}/%{_bindir}/perl -I lib/ -i -p -e "s|%{buildroot}||g;" MANIFEST.all

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f MANIFEST.all
%defattr(-,root,root)
%config %{_libdir}/perl5/%{perlver}/Net/libnet.cfg

%if %{suidperl}
%files -f %{SOURCE9} suidperl
%defattr(-,root,root)
%endif

%changelog
* Sun May 28 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.8-4m)
- add Provides: perl(Mac::InternetConfig)

* Tue Feb 21 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.8-3m)
- change URL for Source0 
- use Patch19:     perl-5.8.8-links.patch     
- add Patch32:     perl-5.8.8-debian_fix_net_nntp.patch
      Patch33:     perl-5.8.8-up27133_up27169.patch
      Patch25084:  perl-5.8.7-25084.patch
- add BuildRequires: man, groff

* Sat Feb 11 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.8-2m)
- edit spec to include DB_File and fix typos (sumaaan m<..>m 

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.8-1m)
- version up to 5.8.8
- import patch from fedora

* Sun Oct 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (5.8.7-2m)
- enable ia64.

* Wed Jun  8 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.7-1m)
- version up to 5.8.7

* Fri Jan 14 2005 Toru Hoshina <t@momonga-linux.org>
- (5.8.5-2m)
- enable x86_64.

* Wed Aug 11 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.8.5-1m)
- version update to 5.8.5
- remove Patch8: perl-5.8.0-errno.patch 

* Mon Jul 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (5.8.2-9m)
- add Epoch to Requires: of perl-suidperl

* Mon Jul 12 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (5.8.2-8m)
- add Epoch

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (5.8.2-7m)
- remove Epoch

* Sat Apr  4 2004 Toru Hoshina <t@momonga-linux.org>
- (5.8.2-6m)
- revised spec for rpm 4.2.1.

* Mon Dec 15 2003 TAKAHASHI Tamotsu <tamo>
- (5.8.2-5m)
- add 'Provides: /usr/bin/suidperl'

* Mon Dec  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (5.8.2-3m)
- remove 'Provides: /usr/bin/perl5'

* Sun Nov 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.8.2-3m)
- remove Obsoletes: perl-Time-HiRes
- remove Provides: perl-Time-HiRes
- delete DB_File

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (5.8.2-2m)
- import patch from fedora

* Sun Nov 10 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.8.2-1m)
- update to 5.8.2
- comment out %%patch21397 -p1 -b .21397 since included tarball
- comment out %%patch21401 -p1 -b .21401 since included tarball

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (5.8.1-2m)
- rebuild against gdbm-1.8.0

* Sat Nov 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.8.1-1m)
- update to 5.8.1
- s/%%define/%%global/g
- comment out unused %%define cpanver, dbfilever and cgiver
- add Patch19: perl-5.8.0-links.patch
- add Patch21: perl-5.8.0-rpath-make.patch
- add Patch21397: perl-5.8.1-upstream-21397.patch from rawhide
- add Patch21401: perl-5.8.1-upstream-21401.patch from rawhide
- add gdbm-devel, db4-devel at BuildRequires:
- add URL: http://www.perl.com/
- use %%{perlver} instead of perl version hard coding '5.8.0'!!
- update Patch5: to perl-5.8.0-root.patch
- comment out Patch6: perl-5.8.0-fhs.patch
- comment out Patch9: perl-5.7.3-syslog.patch
- comment out Patch20: perl-5.8.0-pager.patch
- comment out Patch200: perl-5.8.0-local-utf8.patch
- comment out Patch201: perl-5.8.0-upstream-17781.patch
- comment out Patch202: perl-5.8.0-upstream-17927.patch
- comment out Patch206: perl-5.8.0-upstream-18061.patch
- comment out Patch207: perl-5.8.0-upstream-18086.patch
- add many Provides:, is this correct?
- update source11 filter-depends.sh for 'grep -v perl(Tk'

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (5.8.0-9m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Tue Aug 26 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (5.8.0-8m)
- remove perl-5.8.0-db.patch

* Sat Jul 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.8.0-7m)
- update CGI.pm to fix vulnerability of Cross-site Scripting 
   See:
      http://www.st.ryukoku.ac.jp/%7Ekjm/security/memo/2003/07.html#20030723_cgi.pm
      http://archives.neohapsis.com/archives/bugtraq/2003-07/0267.html
      http://archives.neohapsis.com/archives/bugtraq/2003-07/0287.html

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (5.8.0-6m)
- rebuild against for gdbm

* Sat Feb  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.8.0-5m)
- rebuild against gdbm-1.8.3-1m

* Sun Feb  2 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.8.0-4m)
- add following Provides
  - Provides: perl-Digest-MD5
  - Provides: perl-MIME-Base64
  - Provides: perl-libnet
  - Provides: perl-Storable
  - Provides: perl-Test-Harness
  - Provides: perl-Test-Simple
  - Provides: perl-Time-HiRes

* Mon Nov 25 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (5.8.0-3m)
- provides /usr/bin/perl, /usr/bin/perl5

* Mon Nov 25 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.8.0-2m)
- fix thread support

* Thu Nov 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.8.0-1m)
- merged from rawhide

* Thu Nov  7 2002 Chip Turner <cturner@redhat.com>
- multilib support when building noarch perl modules
- integrate upstream bugfix patches

* Tue Sep 10 2002 Chip Turner <cturner@redhat.com>
- integrate patch for /usr/lib64 instead of /usr/lib from Than Ngo

* Mon Sep  9 2002 Chip Turner <cturner@redhat.com>
- integrate s390/s390x patch from Florian La Roche

* Sun Sep  1 2002 Chip Turner <cturner@redhat.com>
- fix pager issues; default to /usr/bin/less -isr
- more work on pager bug (72125)

* Thu Aug 29 2002 Chip Turner <cturner@redhat.com>
- add a few new directories to h2ph to produce better .ph files

* Thu Aug 15 2002 Chip Turner <cturner@redhat.com>
- change from lynx to links in CPAN.pm

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build
- remove Filter packages and use CPAN ones

* Fri Jul 19 2002 Chip Turner <cturner@redhat.com>
- move to final perl 5.8.0, huzzah!

* Tue Jul 16 2002 Chip Turner <cturner@redhat.com>
- update CPAN, CGI, and DB_File versions; obsolete perl-libnet
- libnet.cfg supplied, default to passive ftp in all cases

* Tue Jun 18 2002 Chip Turner <cturner@redhat.com>
- add patch to ensire libperl.so is linked properly

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com>
- always build with -fPIC

* Thu May  9 2002 Jeff Johnson <jbj@redhat.com>
- rebuild in rawhide

* Sun Mar 31 2002 Chip Turner <cturner@redhat.com>
- split suidperl back out (bug #62215)

* Tue Mar 26 2002 Chip Turner <cturner@redhat.com>
- restructuring of some directories, alteration of @INC

* Thu Dec 20 2001 Chip Turner <cturner@redhat.com>
- remove ndbm completely

* Sun Dec 16 2001 Chip Turner <cturner@redhat.com>
- make rpmlint happy, split out NDBM_File, clean up other spots
- stopped doing grep -v etc in favor of custom script

* Wed Dec 12 2001 Chip Turner <cturner@redhat.com>
- cleaning up of ia64 issues, as well as compatibility with gcc 3.1
  and glibc 2.2.4

* Mon Sep 24 2001 Chip Turner <cturner@redhat.com>
- changing building of extra modules out of the core perl rpm

* Mon Sep 17 2001 Chip Turner <cturner@redhat.com>
- upgrade to 5.6.1, added old INC dirs to maintain compat

* Fri Mar 23 2001 Preston Brown <pbrown@redhat.com>
- bzip2 source, save some space.

* Thu Dec  7 2000 Crutcher Dunnavant <crutcher@redhat.com>
- initial rebuild for 7.1

* Tue Sep 12 2000 Bill Nottingham <notting@redhat.com>
- fix dependencies on ia64/sparc64

* Mon Aug  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- replace the deprecated MD5 with Digest::MD5 (has to be here for cleanfeed)
- obsolete: perl-Digest-MD5
- use syslog instead of mail to report possible attempts to break into suidperl
- force syslog on at build-time

* Mon Jul 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- add Owen's fix for #14779/#14863
- specify cc=%{__cc}; continue to let cpp sort itself out
- switch shadow support on (#8646)
- release 7

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- strip buildroot from perl pods (#14040)
- release 6

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild (release 5)

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- don't require tcsh to install, only to build
- release 4

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against new db3 package
- release 3

* Sat Jun 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- disable 64-bit file support
- change name of package that Perl expects gcc to be in from "egcs" to "gcc"
- move man pages to /usr/share via hints/linux.sh and MM_Unix.pm
- fix problems prefixifying with empty prefixes
- disable long doubles on sparc (they're the same as doubles anyway)
- add an Epoch to make sure we can upgrade from perl-5.00503
- release 2

* Thu Mar 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.6.0

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan 14 2000 Jeff Johnson <jbj@redhat.com>
- add provides for perl modules (from kestes@staff.mail.com).

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- fix the %install so that the MD5 module gets actually installed correctly

* Mon Aug 30 1999 Cristian Gafton <gafton@redhat.com>
- make sure the package builds even when we don't have perl installed on the
  system

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- merged with perl-MD5
- get rid of the annoying $RPM_BUILD_ROOT paths in the installed tree

* Mon Jul 26 1999 Cristian Gafton <gafton@redhat.com>
- do not link anymore against the system db library (and make each module
  link against it separately, so that we can have Berkeley db1 and db2 mixed
  up)

* Wed Jun 16 1999 Cristian Gafton <gafton@redhat.com>
- use wildcards for files in /usr/bin and /usr/man

* Tue Apr 06 1999 Cristian Gafton <gafton@redhat.com>
- version 5.00503
- make the default man3 install dir be release independent
- try to link against db1 to preserve compatibility with older databases;
  abandoned idea because perl is too broken to allow such an easy change
  (hardcoded names *everywhere* !!!)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- guilty of the inlined Makefile in the spec file
- adapted for the arm build

* Wed Sep 09 1998 Preston Brown <pbrown@redhat.com>
- added newer CGI.pm to the build
- changed the version naming scheme around to work with RPM

* Sun Jul 19 1998 Jeff Johnson <jbj@redhat.com>
- attempt to generate *.ph files reproducibly

* Mon Jun 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.004_04-m4 (pre-5.005 maintenance release)

* Tue Jun 12 1998 Christopher McCrory <chrismcc@netus.com
- need stdarg.h from gcc shadow to fix "use Sys::Syslog" (problem #635)

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to correct the .ph constructs unless defined (foo) to read
  unless(defined(foo))

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- fixed strftime problem

* Sun Mar 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to fix a security race
- do not use setres[ug]id - those are not implemented on 2.0.3x kernels

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 5.004_04 - 5.004_01 had some nasty memory leaks.
- fixed the spec file to be version-independent

* Fri Dec 05 1997 Erik Troan <ewt@redhat.com>
- Config.pm wasn't right do to the builtrooting

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- fixed arch-specfic part of spec file

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to perl 5.004_01
- users a build root

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Incorporated security patch from Chip Salzenberg <salzench@nielsenmedia.com>

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
- Use -Darchname=i386-linux 
- Require csh (for glob)
- Use RPM_ARCH during configuration and installation for arch independence
